Get Custody Wallet Balance
curl --request GET \
--url https://testapi.kravata.co/api/b2b2b/{clientId}/wallet/custody/balance/{userId}/{walletId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/b2b2b/{clientId}/wallet/custody/balance/{userId}/{walletId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/b2b2b/{clientId}/wallet/custody/balance/{userId}/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"balance": "109",
"token": "USDC"
}Custody
Get Custody Wallet Balance
Returns the current balance of a custody wallet, read in real time from the custody provider.
Request
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | Header | Yes | Bearer <access> obtained from POST /api/token. |
| clientId | Path | Yes | Your client ID, from GET /api/infoClient. |
| userId | Path | Yes | Your client ID or the ID of one of your users (from GET /api/b2b2b/{clientId}/users). The user must be approved. |
| walletId | Path | Yes | Custody wallet ID, from GET /api/b2b2b/{clientId}/wallet/custody/{userId}. |
Response
| Field | Description |
|---|---|
| balance | Current balance, as a string (e.g. "125.50"). |
| token | Token of the balance. |
GET
/
api
/
b2b2b
/
{clientId}
/
wallet
/
custody
/
balance
/
{userId}
/
{walletId}
Get Custody Wallet Balance
curl --request GET \
--url https://testapi.kravata.co/api/b2b2b/{clientId}/wallet/custody/balance/{userId}/{walletId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://testapi.kravata.co/api/b2b2b/{clientId}/wallet/custody/balance/{userId}/{walletId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://testapi.kravata.co/api/b2b2b/{clientId}/wallet/custody/balance/{userId}/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"balance": "109",
"token": "USDC"
}
